Get information about a click profile
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
- clickProfileIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestClickProfile
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- descriptionstringDescription
- rulePatternstringDescription
- ruleTypestringDescription
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
404
409
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The click profile was retrieved successfully.
{
"id": "",
"name": "",
"description": "",
"rulePattern": "",
"ruleType": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}404
// The click profile could not be found. Ensure that the required parameters such as "clickProfileId" are correct and the click profile exists.
409
// The click profile is not assigned to the client. Ensure that the required parameters such as "clientId" and "clickProfileId" are correct and the folder exists.